import javax.swing.JOptionPane;

public class H4_Oefening1
{
   public static void main(String[] args)
   {
      String categorie, jar, led;
      int cat, jaren, bedrag, leden;
      double a;
      System.out.println("In welke categorie zit u?");
      System.out.println("=========================");
      System.out.println("  1: gewone leden");
      System.out.println("  2: studenten ");
      System.out.println("  3: ere-leden ");

	  categorie= JOptionPane.showInputDialog ("In welke categorie zit u?");
	  cat= Integer.parseInt(categorie);
      if (cat==1) a=22;
      else if (cat==2) a=(22-(22*0.2));
      	   else a=40;l

      System.out.println("U betaald "+a+" bef");


	  jar= JOptionPane.showInputDialog ("Hoeveel jaren bent u lid?");
	  jaren= Integer.parseInt(jar);

      if (jaren>=10)
          System.out.println("U krijgt 10% korting. Te betalen: "+(a-(a*0.1)));
      else System.out.println("U krijgt geen korting. Te betalen: "+a);

      led= JOptionPane.showInputDialog ("Hoeveel gezinsleden zijn hier reeds ingeschreven ?");
	  leden= Integer.parseInt(led);

      if (leden==0)
          System.out.println("U krijgt geen korting. Te betalen: "+a);
      else if (leden==1)
	           System.out.println("U krijgt 5% korting. Te betalen: "+(a-(a*0.05)));
           else if (leden>=2)
	               System.out.println("U krijgt 10% korting. Te betalen: "+(a-(a*0.1)));

      System.exit(0);
   }
}